Subject: cugwin32 b18: c++ blocks with `In cygwin_except_handler' message
From: [email-masked] (Per Abrahamsen)

11 Aug 1997 12:31:24 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Face: +kRV2]2q}lixHkE{U)mY#+6]{AH=yN~S9@IFiOa@X6?GM<U{B+4e{k79.Ya{~':DblFPCg$
 @60,BfLv2@SKZ19cMWK0/C'v;tM: |6B'R}U1rp6CL&kN({9<zF/V{:JCg27yC)9oZjeqcQawzKfiNL
 t9}`vjmK["dRQC/qGFQq"%u|Q`: 6{"Rz}b(dnl_"3$Jtqimi>|8MBp/
X-Mailer: Gnus v5.4.64/Emacs 19.34
Original-Sender: [email-masked]

I'm using cygwin32 b18 with Windows NT 4.0 ServicePack 1.

The c++ command often blocks with the following message

	In cygwin_except_handler

when trying to compile some code that worked with g++ 2.7.2 under
sparc-solaris-2.5.1.  Nothing more happens.  The process doesn't exit.

Any suggestions for how to debug this?

An small example

	$ cat test.C
	void foo ()
	{
	  int a = 0;
	  int b = a ?: 1;
	}
	$ c++ -c test.c
	(long/path/cc1plus.exe 1038) In cygwin_except_handler

This example was easy to fix, just don't use the GNU `?:' extension.

But it happens in many places in my code, also places that doesn't use
GNU extensions, so I suspect there is something wrong with my setup.
Any ideas?

PS: Where should I report errors that doesn't look win32 specific in
the g++ bundled with cygwin?
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".